jQuery(window).scroll(function(){
	bars_anim();
});
jQuery(document).ready(function(){
	bars_anim();
});

function animScrollCheck(id, doughnutData) {	
	var oft = jQuery('#'+id).offset().top;
	var scrt = jQuery(window).scrollTop();
	var hgt = jQuery(window).height();

	if(!jQuery('#'+id).hasClass('inited')) {
		if(oft-(scrt+hgt) < 0) {
			jQuery('#'+id).addClass('inited');
			chart_anim(id, doughnutData);
		}
	}
}

function chart_anim(id, doughnutData) {
		var options = {segmentShowStroke: 0, percentageInnerCutout: 73, segmentShowStroke: false};
		var myDoughnut = new Chart(document.getElementById('canvas_'+id).getContext("2d")).Doughnut(doughnutData, options);
}

function bars_anim() {
	jQuery('.trex_chart.bar').each(function(){
		var oft = jQuery(this).offset().top;
		var scrt = jQuery(window).scrollTop();
		var hgt = jQuery(window).height();
		if(oft-(scrt+hgt) < 0) {
			jQuery(this).find('.item_progress:not(animated)').each(function(){
				var width = jQuery(this).attr('data-width');
				if(!jQuery(this).hasClass('animated')) {
					jQuery(this).addClass('animated').stop().animate({'width' : width}, 600);
				}
			});
		}

	});
}