/* Backend javascript for chart-widget */

jQuery(document).ready(function(){
    jQuery('#widgets-right .colorpicker_field').wpColorPicker();
});

function cloneClick() {

	jQuery('.widget-content .chart_row.clonable .clone:not(.inited)').addClass('inited').click(function() {

		var rowCount = jQuery(this).parents('.widget-content').find('.chart_row.clonable').length + 1;

		var titleData = jQuery(this).parent().find('.chart_item_title').eq(0).children('input').attr('id');
		var levelData = jQuery(this).parent().find('.chart_item_level').eq(0).children('input').attr('id');
		var colorData = jQuery(this).parent().find('.chart_item_color').eq(0).find('input[type="text"]').attr('id');

		var titleName = jQuery(this).parent().find('.chart_item_title').eq(0).children('input').attr('name');
		var levelName = jQuery(this).parent().find('.chart_item_level').eq(0).children('input').attr('name');
		var colorName = jQuery(this).parent().find('.wp-picker-input-wrap').eq(0).find('input[type="text"]').attr('name');

		var cloneText = jQuery(this).text();

		var titleLabel = jQuery(this).parent().find('.chart_item_title').eq(0).children('label').text();
		var levelLabel = jQuery(this).parent().find('.chart_item_level').eq(0).children('label').text();
		var colorLabel = jQuery(this).parent().find('.chart_item_color').eq(0).children('label').text();

		var titleIndex = titleData.indexOf('chart_item_title');
		var levelIndex = levelData.indexOf('chart_item_level');
		var colorIndex = colorData.indexOf('chart_item_color');

		var clonedTitle = titleData.substring(0, titleIndex) + 'chart_item_title_' + rowCount + titleData.substring(titleIndex+17);
		var clonedLevel = levelData.substring(0, levelIndex) + 'chart_item_level_' + rowCount + levelData.substring(levelIndex+17);
		var clonedColor = colorData.substring(0, colorIndex) + 'chart_item_color_' + rowCount + colorData.substring(colorIndex+17);

		var clonedRow = '<p class="chart_row clonable">'
				+'<span class="chart_item_color">'
					+'<label for="'+ clonedColor +'">'+ colorLabel +'</label>'
					+'<input class="colorpicker_field" type="text" value="#00CBB1" id="'+ clonedColor +'" name="'+ colorName +'" style="display:none;" />'
				+'</span>'
				+'<span class="chart_item_title">'
					+'<label for="'+ clonedTitle +'">'+ titleLabel +'</label>'
					+'<input type="text" class="widefat" value="" id="'+ clonedTitle +'" name="'+ titleName +'" />'
				+'</span>'
				+'<span class="chart_item_level">'
					+'<label for="'+ clonedLevel +'">'+ levelLabel +'</label>'
					+'<input type="text" class="widefat" value="" id="'+ clonedLevel +'" name="'+ levelName +'" />'
				+'</span>'
				+'<a class="clone" href="#">'+cloneText+'</a>'
			+'</p>';
		jQuery(this).parent().after(clonedRow).next().find('.colorpicker_field').wpColorPicker();
		cloneClick();

		return false;
	});
}